%define name tf
%define ver 4.0.stable1
%define kkver 40s1
%define prefix /usr

Summary: A telnet client, for use with MUDs.
Name: %name
Version: %ver
Release: 1
Copyright: GPL
Group: Applications/Communications
Source: ftp://tf.tcp.com/pub/tinyfugue/%{name}-%{kkver}.tar.gz
URL: http://tf.tcp.com/~hawkeye/tf/
Packager: Edward S. Marshall <emarshal@logic.net>
# BuildRoot: /var/tmp/%{name}-%{ver}-root

%description
TinyFugue, aka "tf", is a flexible, screen-oriented MUD client, for use with
any type of MUD. TinyFugue is one of the most popular and powerful mud
clients.

%changelog
* Wed May 24 2000 Edward S. Marshall <emarshal@logic.net>
- Rewrote .spec by Chris Cogdon <chris@felidae.apana.org.au> to be a little
  more upgrade-proof.
- Updated to version 4.0s1.

%prep
%setup -n %name-%kkver
mv unix/Config unix/Config.orig
cat << EOF >> unix/Config
TF="/usr/bin/tf-\${TFVER}"
LIBDIR="/usr/share/tf-\${TFVER}"
SYMLINK="/usr/bin/tf"
MANTYPE="nroff"
MANPAGE="/usr/man/man1/tf.1"
CCFLAGS="$RPM_OPT_FLAGS"
EOF
cat unix/Config.orig >> unix/Config

%build
ans=y sh unixmake files

%install
sh unixmake install

%clean
sh unixmake clean

%files
/usr/bin/%name
/usr/bin/%name-%kkver
/usr/share/%name-%kkver
%doc /usr/man/man1/tf.1
%doc CHANGES COPYING CREDITS README
